cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 13

NPM 2019.4 Upgrade Feedback

As with previous threads on 12.x products lets get this going with 2019.4.

I'm seeing a few issues in this thread - Orion Platform 2019.4 and Its Modules Are Now Generally Available

I'm upgrading a small 12.2 environment to 2019.4 on Saturday.

Please provide your feedback on 2019.4 here.

Thank you

46 Replies
Level 13

Just noticed this - any ideas?


Web FE is HTTPS.

2019-12-02_12-08-34.png

0 Kudos

My pages do the same thing. I just assumed it was because the MPE doesn't have access to the web...

0 Kudos

Came across a new one yesterday. Not an issue. But when looking at creating a new Probe in an existing NetPath service. All probes but the MPE and APE servers only appeared to be selected. I had to run the 'Create Probe' to have the probes back in the list. ProbeID's remained the same. 

Existing Netpath Services and Probes have all been OK since the upgrade. ProbeID's and Orion.NetPath.Tests all OK. 

0 Kudos

Well, I've just finished off a migration & upgrade of our Monitoring Platform this week.

This involved 8 2012 R2 Servers hosting SQL 2012 SP4, A Main Polling Engine & 6 Additional Polling Engines.

Migrated the Database to a new 2016 SQL/2016 Server, re configuring the existing servers.
Provisioned new APEs, reassigning polled nodes to their respective replacement.
Moved the main polling engine.
Ensured NetFramework 4.8 was installed on all 2016 replacement servers.
Performed an in place upgrade of the main polling engine with single online installer.
Performed an in place upgrade of all APEs with the single online installer.

Just gone gone from NPM 12.3, NCM 7.8 & VNQM4.5 to 2019.4 & Latest HF standardised.
The quickest part of this was the software upgrade, I think I had the whole thing done

In terms of problems, the last major Upgrade was a similar process on 2008 based servers that were running Orion Platform 2015.1.2 (NPM 11.5.2, NCM 7.4 & VNQM) 4.2.2, that was a multi step, multi install (for each application). The number of problems I had with NetFrame work compatability, bugs in that version generally, this was a walk in the park compared to that process, I think that put me off doing this earlier. 

The only problem I had was with migrating licenses and tbh, that was my mistake not understanding how the web based licensing manager worked compared to the old offline model, I had deactivated the main polling engine licenses, but not the APEs, they will still showing as activated on the customer portal.

I'm quite looking forward to trying our centralised upgrades from the Orion platform in future. 

My major gripe was being in a queue for 50 minutes to the EMEA customer services/sales line (with no answer), to end up making another call to Technical Support whom I know don't deal with licensing, who managed to ping Customer Services to release those licenses for re-use, which only then took 10 minutes to sort out.  Go figure.  

0 Kudos

How did you perform the process of moving to Windows 2016? Did you follow any of the alternate methodologies (AlterEgo's HA trickery for example)?

I'm curious of the cleanest way to port 12.3 to 2016, essentially, we are in the same spot as you.

0 Kudos

Mine is not going well. Since I upgraded to 2019.4, my 2 APE's no longer work with NCM and my main outage notification which send an HTTP post no longer works either.

The Solarwinds tech has tried 3 times so far to fix the APE issue. But now the APE he's been working on is offline. This is after he re-installed the whole APE from scratch.

So far upgrade has been no good.

0 Kudos

I updated from 2018.blah to 2019.4 and had issues with my APEs as well. When I ran the installer it installed a lot more than it should've and brought everything down.... Called TS and Keith Baker (shoutout since he fixed me) was able to help me get the pollers uninstalled completely. Then I ran the installer again and all went beautifully...

0 Kudos

Ouch, sorry to hear that yours has gone so poorly. Do you suspect .NET 4.8 or something else?

0 Kudos

sturdyerde  wrote:

Ouch, sorry to hear that yours has gone so poorly. Do you suspect .NET 4.8 or something else?

Not sure what the issue was. Everything seemed fine except for NCM no longer working on the APE's and my HTTP post email alert no longer worked.

0 Kudos

I upgraded my Dev environment from 2019.2 to 2019.4. .NET 4.8 was not installed on any server prior to the upgrade (1 primary, 1 secondary for HA, 1 web).

Had an issue with IPAM pages not displaying after the upgrade. Worked with tech support to resolve that issue, now the entire environment is face down.

I'm NOT going to do my production environment until at least HF1....

Face down, as in, down really down?

0 Kudos

Yes...  Tech is suspecting an issue with the new LEM module... I will hopefully know more tomorrow or Friday when I can get on the phone with him again.

0 Kudos

Thanks. I'm wondering how that could cause so much agony.

I agree with another user that said the LEM DB creation step is a surprise requirement. It was for me too.

My small 2019.4 environment so far has been stable for me.

So, now it's up and running, just had to let it simmer overnight I guess...  the last run of the configuration wizard failed on the new LEM module, but now it appears everything is working.

i'm still going to wait on at least HF1 before doing production. I can't have that down for 3-4 days...

Are you reverting back to previous backup or going to try and work through the issues?

This is why I fear upgrading my larger environments.

hpstech  wrote:

Are you reverting back to previous backup or going to try and work through the issues?

This is why I fear upgrading my larger environments.

No we tried to get Solarwinds to fix the issue. They had 2 go's at it before he decided to rebuild one of the APE's. Every since then, that APE would no longer talk to the database so it was permanently down. They spend another couple of days trying to fix that APE before rebuilding the whole environment. Now all is ok. The HTTP post email alert no longer worked and we had to put in workaround.

0 Kudos

Thanks for sharing all of your experiences. I hope to share ours soon. When you post, please let us know which version[s] you are upgrading from, along with whether or not .NET Framework 4.8 was installed before your upgrade. Thanks!

0 Kudos
Level 13

My 12.2 to Orion 2019.4 upgrade was successful.

So far all is stable. Services are not crashing like they did after Windows 2016 CU 9-2019 KB4516044

Main issues are with Windows Updates and patching.

.NET 4.8 was a quick install performed BEFORE the upgrade.

Current versions

Orion Platform 2017.3.5 SP5
Network Performance Monitor 12.2
Network Traffic Analyzer 4.2.3
Server Application Manager 6.6.0

Upgrade versions
Orion Platform 2019.4
Network Performance Monitor 2019.4
Network Traffic Analyzer 2019.4
Server Application Manager 2019.4

13.0.4259.0Security update for SQL Server 2016 SP1 GDR (KB4505219)2019 July 9
Level 13

So does anyone recommend doing the .NET 4.8 install before or let the installer take care of it?

  wrote:

So does anyone recommend doing the .NET 4.8 install before or let the installer take care of it?

I would definitely recommend installing ​and patching​ .NET 4.8 before the upgrade. That will save time during the upgrade and also give you a chance to confirm that your current installation is still healthy after the .NET Framework update.

I did, definitely recommend it too. It was quick and painless.

The major pain with 2016 is Windows Updates taking 1 hour. Ridiculous.